package com.example.shwetank.splashhcl;

import android.app.Activity;
import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;
import android.support.v7.app.ActionBar;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.MotionEvent;
import android.view.SurfaceHolder;
import android.view.SurfaceView;
import android.view.View;
import android.widget.Switch;

public class GFXsurface extends Activity implements View.OnTouchListener {

    Surfx surfx;
    float x, y,sx,sy,fx,fy;
    Bitmap test,test2;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        surfx = new Surfx(this);
        surfx.setOnTouchListener(this);
        x = 0;
        y = 0;
        sx = 0;
        sy = 0;
        fx = 0;
        fy = 0;

        test = BitmapFactory.decodeResource(getResources(), R.drawable.smile1);
        test2 = BitmapFactory.decodeResource(getResources(), R.drawable.smile2);
        setContentView(surfx);
    }

    @Override
    protected void onPause() {
        super.onPause();
        surfx.pause();
    }

    @Override
    protected void onResume() {
        super.onResume();
        surfx.resume();
    }


    @Override
    public boolean onTouch(View view, MotionEvent motionEvent) {
        x = motionEvent.getX();
        y = motionEvent.getY();

        switch(motionEvent.getAction()){
            case MotionEvent.ACTION_DOWN:
                sx = motionEvent.getX();
                sy = motionEvent.getY();
                break;

            case MotionEvent.ACTION_UP:
                fx = motionEvent.getX();
                fy = motionEvent.getY();
                break;

        }
        return true;
    }


    public class Surfx extends SurfaceView implements Runnable {

        SurfaceHolder sHolder;
        Thread t = null;
        boolean isRunning = false;


        public Surfx(Context context) {
            super(context);
            sHolder = getHolder();
        }

        public void pause() {
            isRunning = false;
            while (true) {
                try {
                    t.join();
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }
                break;
            }
            t = null;
        }

        public void resume() {
            isRunning = true;
            t = new Thread(this);
            t.start();

        }

        @Override
        public void run() {

            while (isRunning) {
                if (!sHolder.getSurface().isValid())
                    continue;

                Canvas canvas;
                canvas = sHolder.lockCanvas();
                canvas.drawRGB(200, 200, 9);

                if (x != 0 && y != 0) {

                    canvas.drawBitmap(test, x-(test.getWidth()/2), y-(test.getHeight()/2), null);
                }

                if (sx != 0 && sy != 0) {

                    canvas.drawBitmap(test2, sx-(test2.getWidth()/2), sy-(test2.getHeight()/2), null);
                }

                if (fx != 0 && fy != 0) {

                    canvas.drawBitmap(test2, fx-(test2.getWidth()/2), fy-(test2.getHeight()/2), null);
                }
                sHolder.unlockCanvasAndPost(canvas);

            }
        }


    }
}